Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.build.interactive.completors
[Groovy] Class GenerateViews

    java.lang.Object
      grails.build.interactive.completors.StringsCompleter
          org.codehaus.groovy.grails.cli.interactive.completors.ClassNameCompletor
              grails.build.interactive.completors.GenerateViews

    class GenerateViews
    extends ClassNameCompletor

Completor for the generate-views command.

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`java.lang.String` | `getCommandName()`
`boolean` | `shouldInclude(Resource res)`

Methods inherited from class ClassNameCompletor
complete, getCommandName, shouldInclude

Methods inherited from class StringsCompleter
complete, getStrings, setStrings

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getCommandName

    @java.lang.Override
    java.lang.String getCommandName()

### shouldInclude

    @java.lang.Override
    boolean shouldInclude(Resource res)

Groovy Documentation